#
# Resource backup , created Wed Apr 01 09:30:24 CEST 2020
#

#---------------------------------------------------------
# SERVER RPC2TangoBridge/3hc, RPC2TangoBridge device declaration
#---------------------------------------------------------

RPC2TangoBridge/3hc/DEVICE/RPC2TangoBridge: "rpcbridge/RPC2TangoBridge/3hc"


# --- rpcbridge/RPC2TangoBridge/3hc properties

rpcbridge/RPC2TangoBridge/3hc->polled_attr: sip3hc_s11.1_pmeas_rr,\ 
                                            3000
rpcbridge/RPC2TangoBridge/3hc->Rpc_items: CAV3HC_S11.1_FRQREF_RR,\ 
                                          CAV3HC_S11.1_VLT_RR,\ 
                                          CAV3HC_S11.2_FRQREF_RR,\ 
                                          CAV3HC_S11.2_VLT_RR,\ 
                                          PI3HC_S11_PRES_RR,\ 
                                          PI3HCI_S11_PRES_RR,\ 
                                          SIP3HC_S11.1_PMEAS_RR,\ 
                                          SIP3HC_S11.1_VMEAS_RR,\ 
                                          CRY3HC_S11_TEMP_RAR,\ 
                                          CRY3HC_S11_FLUX_RAR,\ 
                                          HEL3HC_S11_ANLGH_RAR,\ 
                                          CRYAL_S11_ANLGC_RAR,\ 
                                          CRYAL_S11_VLACTC_RAR,\ 
                                          HEL3HC_S11_VLACTH_RAR

# --- rpcbridge/RPC2TangoBridge/3hc attribute properties

rpcbridge/RPC2TangoBridge/3hc/PI3HCI_S11_PRES_RR->archive_period: 300000
rpcbridge/RPC2TangoBridge/3hc/PI3HCI_S11_PRES_RR->archive_rel_change: -20,\ 
                                                                      20
rpcbridge/RPC2TangoBridge/3hc/SIP3HC_S11.1_PMEAS_RR->archive_period: 300000
rpcbridge/RPC2TangoBridge/3hc/SIP3HC_S11.1_PMEAS_RR->archive_rel_change: -20,\ 
                                                                         20
rpcbridge/RPC2TangoBridge/3hc/SIP3HC_S11.1_PMEAS_RR->format: %6.2e

#---------------------------------------------------------
# CLASS RPC2TangoBridge properties
#---------------------------------------------------------

CLASS/RPC2TangoBridge->cvs_location: "/home/cvsadm/cvsroot/elettra/server/RPC2TangoBridge/"
CLASS/RPC2TangoBridge->cvs_tag: release_06
CLASS/RPC2TangoBridge->Description: "Every RPC client who emits alarms will send them to this server.",\ 
                                    "RPCAlarmTAngo will then map every alarm into a specific Tango attribute, so",\ 
                                    "that it can be notified to the Tango Alarm System.",\ 
                                    "The Tango Alarm System has to subscribe to all the attributes managed by this",\ 
                                    RPC2TangoBridge.
CLASS/RPC2TangoBridge->doc_url: "http://www.esrf.fr/computing/cs/tango/tango_doc/ds_doc/"
CLASS/RPC2TangoBridge->InheritedFrom: Device_3Impl
CLASS/RPC2TangoBridge->ProjectTitle: "Provides a conversion from RPC alarms to Tango alarm attributes."

# CLASS RPC2TangoBridge attribute properties



# --- dserver/RPC2TangoBridge/3hc properties

dserver/RPC2TangoBridge/3hc->polling_threads_pool_conf: "rpcbridge/rpc2tangobridge/3hc"
